﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

using System.Collections.Generic;
using Telerik.Web.UI;

namespace SuggestiveFilterColumnDemo
{
    public struct SalesInfo
    {
        public string CustomerName { get; set; }
        public string AccountNumber { get; set; }
        public DateTime OrderDate { get; set; }
        public string Country { get; set; }
    }

    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void RadGrid1_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            RadGrid g = (RadGrid)source;
            g.DataSource = GetCustomers();
        }


        public List<SalesInfo> GetCustomers()
        {
            List<SalesInfo> list = new List<SalesInfo>();

            list.Add(new SalesInfo { CustomerName = "Some Guy", Country = "USA", AccountNumber = "K12343566", OrderDate = DateTime.Now });
            list.Add(new SalesInfo { CustomerName = "Some Lady", Country = "USA", AccountNumber = "w324234234", OrderDate = DateTime.Now.AddDays(-4) });
            list.Add(new SalesInfo { CustomerName = "Ricky Ricardo", Country = "USA", AccountNumber = "B234234234", OrderDate = DateTime.Now.AddDays(-24) });
            list.Add(new SalesInfo { CustomerName = "Some Guy", Country = "UK", AccountNumber = "K12343566", OrderDate = DateTime.Now });
            list.Add(new SalesInfo { CustomerName = "Some Lady", Country = "USA", AccountNumber = "w324234234", OrderDate = DateTime.Now.AddDays(-4) });
            list.Add(new SalesInfo { CustomerName = "Ricky Ricardo", Country = "USA", AccountNumber = "B234234234", OrderDate = DateTime.Now.AddDays(-24) });
            list.Add(new SalesInfo { CustomerName = "Some Guy", Country = "USA", AccountNumber = "K12343566", OrderDate = DateTime.Now });
            list.Add(new SalesInfo { CustomerName = "Some Lady", Country = "USA", AccountNumber = "w324234234", OrderDate = DateTime.Now.AddDays(-4) });
            list.Add(new SalesInfo { CustomerName = "Ricky Ricardo", Country = "UK", AccountNumber = "B234234234", OrderDate = DateTime.Now.AddDays(-24) });
            list.Add(new SalesInfo { CustomerName = "Some Guy", Country = "USA", AccountNumber = "K12343566", OrderDate = DateTime.Now });
            list.Add(new SalesInfo { CustomerName = "Some Lady", Country = "UK", AccountNumber = "w324234234", OrderDate = DateTime.Now.AddDays(-4) });
            list.Add(new SalesInfo { CustomerName = "Ricky Ricardo", Country = "USA", AccountNumber = "B234234234", OrderDate = DateTime.Now.AddDays(-24) });
            list.Add(new SalesInfo { CustomerName = "Some Guy", Country = "USA", AccountNumber = "K12343566", OrderDate = DateTime.Now });
            list.Add(new SalesInfo { CustomerName = "Some Lady", Country = "USA", AccountNumber = "w324234234", OrderDate = DateTime.Now.AddDays(-4) });
            list.Add(new SalesInfo { CustomerName = "Ricky Ricardo", Country = "UK", AccountNumber = "B234234234", OrderDate = DateTime.Now.AddDays(-24) });
            list.Add(new SalesInfo { CustomerName = "Some Guy", Country = "USA", AccountNumber = "K12343566", OrderDate = DateTime.Now });
            list.Add(new SalesInfo { CustomerName = "Some Lady", Country = "USA", AccountNumber = "w324234234", OrderDate = DateTime.Now.AddDays(-4) });
            list.Add(new SalesInfo { CustomerName = "Ricky Ricardo", Country = "USA", AccountNumber = "B234234234", OrderDate = DateTime.Now.AddDays(-24) });

            return list;
        }

        public DataTable GetCustomersDT()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("CustomerName", typeof(string));
            dt.Columns.Add("Country", typeof(string));
            dt.Columns.Add("AccountNumber", typeof(string));
            dt.Columns.Add("OrderDate", typeof(DateTime));

            foreach (SalesInfo pcl in this.GetCustomers())
            {
                DataRow dr = dt.NewRow();
                dr[0] = pcl.CustomerName;
                dr[1] = pcl.Country;
                dr[2] = pcl.AccountNumber;
                dr[3] = pcl.OrderDate;

                dt.Rows.Add(dr);
            }

            return dt;
        }
    }
}
